> ## Documentation Index
> Fetch the complete documentation index at: https://help.opus.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Clips from a Collection

> You can export all the clips from an existing collection by making a `POST` request to `https://api.opus.pro/api/collections/{collectionId}/export` 

 💡Notice: Don't forget to add `{}` to your post body



## OpenAPI

````yaml POST /api/collections/{collectionId}/export
openapi: 3.0.0
info:
  title: Clip API
  description: Clip API documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.opus.pro
    description: OpusClip Open API Production Server
security: []
tags: []
paths:
  /api/collections/{collectionId}/export:
    post:
      tags:
        - collection
        - enterprise
      operationId: CollectionController_export
      parameters:
        - name: collectionId
          required: true
          in: path
          description: The collectionID of the collection that you want to export
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmptyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponse'
                  - properties:
                      data:
                        $ref: '#/components/schemas/CollectionExportedDto'
      security:
        - bearer: []
components:
  schemas:
    EmptyDto:
      type: object
      properties: {}
    SuccessResponse:
      type: object
      properties:
        data:
          type: object
      required:
        - data
    CollectionExportedDto:
      type: object
      properties:
        contentList:
          description: A list of download links for all the clips in that collection.
          type: array
          items:
            $ref: '#/components/schemas/ContentExportedDto'
      required:
        - contentList
    ContentExportedDto:
      type: object
      properties:
        contentId:
          type: string
          description: Content ID
          example: P0000000demo.CUexample2
        uriForExport:
          type: string
          description: Export url
          example: >-
            https://ext.cdn.opus.pro/media/org_Example00000001/google-oauth2|100000000000000000001/P0000000demo/c.CUexample3/VIDEO_FILE.mp4?v=1745586132350436
      required:
        - contentId
        - uriForExport
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````